## dioptas 0.6.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Dioptas
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## dioptas 0.5.2

=== debian/changelog ===
dioptas (0.5.2-4) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Feb 2022 17:39:34 +0100

dioptas (0.5.2-3) unstable; urgency=medium

  * Change Maintainer: to Debian PaN team.
  * Update debian/copyright (copyright holders, "or any later version").

 -- Roland Mas <lolando@debian.org>  Sat, 27 Nov 2021 14:51:00 +0100

dioptas (0.5.2-2) unstable; urgency=medium

  * Fix dependency on python3-extra-data

 -- Roland Mas <lolando@debian.org>  Fri, 01 Oct 2021 10:30:08 +0200

dioptas (0.5.2-1) unstable; urgency=low

  * Initial upload (closes: #995121).
  * source package automatically created by stdeb 0.10.0 then tweaked by hand

 -- Roland Mas <lolando@debian.org>  Wed, 29 Sep 2021 21:36:01 +0200

=== debian/control ===
Source: dioptas
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: 
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all-dev,
 debhelper (>= 13), python3-numpy, cython3, python3-qtpy,
 python3-pyqtgraph, python3-pyfai, python3-scipy, python3-future,
 python3-fabio, python3-skimage, python3-pycifrw, python3-sphinx,
 dbus, python3-lmfit, python3-pyepics, python3-h5py, python3-extra-data
Standards-Version: 4.5.1
Homepage: https://github.com/Dioptas/Dioptas/
Vcs-Git: https://salsa.debian.org/python-team/packages/dioptas.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dioptas

Package: dioptas
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-numpy, python3-qtpy, python3-pyqtgraph, python3-pyfai,
 python3-scipy, python3-future, python3-fabio, python3-skimage,
 python3-pycifrw, python3-lmfit, libjs-sphinxdoc, libjs-jquery,
 libjs-underscore, python3-pyepics, python3-h5py, python3-extra-data
Description: GUI for reduction and exploration of X-ray diffraction images
 A GUI program for fast analysis of powder X-ray diffraction
 Images. It provides the capability of calibrating, creating masks,
 having pattern overlays and showing phase lines.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Sun, 26 Sep 2021 18:29:55 +0200
export PYBUILD_NAME=dioptas
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	make -C docs SPHINXBUILD="python3 -msphinx" man html
	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/jquery.js
	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/doctools.js
	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/searchtools.js
	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/underscore.js
	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/language_data.js

override_dh_auto_clean:
	dh_auto_clean
	rm -f dioptas/model/util/smooth_bruckner_cython.c

override_dh_auto_test:
	(unset SUDO_USER ; QT_QPA_PLATFORM=offscreen DATA_PATH=$(CURDIR)/dioptas/tests/data dh_auto_test --buildsystem=pybuild) || true

## dioptas 0.6.0

=== debian/changelog ===
dioptas (0.6.0-3) unstable; urgency=medium

  * Depend on python3-qtpy-pyqt5 rather than python3-qtpy (Closes:
    #1089952). 

 -- Roland Mas <lolando@debian.org>  Fri, 27 Dec 2024 15:00:16 +0100

dioptas (0.6.0-2) unstable; urgency=medium

  * Bug fix: "Fails to build source after successful build", thanks to Lucas Nussbaum (Closes: #1044718).
  * Bug fix: "runtime dependency on cython", thanks to Matthias Klose (Closes: #1057986).

 -- Roland Mas <lolando@debian.org>  Tue, 30 Apr 2024 14:40:16 +0200

dioptas (0.6.0-1) unstable; urgency=medium

  * New upstream release 0.6.0.

 -- Roland Mas <lolando@debian.org>  Tue, 30 Apr 2024 12:13:56 +0200

dioptas (0.5.9+git20240322-2) UNRELEASED; urgency=medium

  * Depend on python3-xypattern.

 -- Roland Mas <lolando@debian.org>  Tue, 30 Apr 2024 11:57:08 +0200

dioptas (0.5.9+git20240322-1) unstable; urgency=medium

  * New snapshot from upstream Git.

 -- Roland Mas <lolando@debian.org>  Sun, 24 Mar 2024 17:10:15 +0100

dioptas (0.5.9-1) UNRELEASED; urgency=medium

  * Team Upload.
  * New upstream version 0.5.9 (Closes: #1056798)
  * add new pybuild-plugin-pyproject build-dep
  * add dependency on libjs-mathjax (Closes: #1040551)
  * refresh existing patches
  * remove usage of python3-future (Closes: #1059944)

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no further changes needed.

  [ Andreas Tille ]
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 10:26:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build --buildsystem=pybuild
+execute_after_dh_auto_build:
 	make -C docs SPHINXBUILD="python3 -msphinx" man html
 	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/jquery.js
 	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/doctools.js
@@ -15,8 +14,7 @@
 	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/underscore.js
 	rm -f $(CURDIR)/debian/dioptas/usr/share/doc/dioptas/html/_static/language_data.js
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f dioptas/model/util/smooth_bruckner_cython.c
 
 override_dh_auto_test:

## dioptas 0.6.1

=== debian/changelog ===
dioptas (0.6.1-2) unstable; urgency=medium

  * Bug fix: "Calibration fails with deprecated &quot;np.NaN&quot;
    command", thanks to Carlo Segre (Closes: #1108325).

 -- Roland Mas <lolando@debian.org>  Tue, 01 Jul 2025 12:32:08 +0200

dioptas (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing parameter to method invocation.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Mar 2025 14:23:01 +0100

=== debian/control ===
Source: dioptas
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 cython3,
 dbus,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-extra-data,
 python3-fabio,
 python3-h5py,
 python3-lmfit,
 python3-numpy,
 python3-pycifrw,
 python3-pyepics,
 python3-pyfai,
 python3-pyqtgraph,
 python3-qtpy-pyqt5,
 python3-scipy,
 python3-setuptools,
 python3-skimage,
 python3-sphinx,
 python3-poetry,
 python3-poetry-dynamic-versioning,
 python3-qt-material,
 python3-watchdog,
 python3-xypattern,
Standards-Version: 4.6.2
Homepage: https://github.com/Dioptas/Dioptas/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/dioptas.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dioptas

Package: dioptas
Architecture: any
Depends:
 libjs-jquery,
 libjs-mathjax,
 libjs-sphinxdoc,
 libjs-underscore,
 python3-extra-data,
 python3-fabio,
 python3-h5py,
 python3-lmfit,
 python3-numpy,
 python3-pycifrw,
 python3-pyepics,
 python3-pyfai,
 python3-pyqtgraph,
 python3-qt-material,
 python3-qtpy-pyqt5,
 python3-scipy,
 python3-skimage,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: GUI for reduction and exploration of X-ray diffraction images
 A GUI program for fast analysis of powder X-ray diffraction
 Images. It provides the capability of calibrating, creating masks,
 having pattern overlays and showing phase lines.

=== debian/watch ===
version=4
opts="repacksuffix=+ds1,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/Dioptas/Dioptas/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
